//+-----------------------------------------------------------+
//|              mp6140 GBPUSD Daily Hedge EA for MetaTrader4 |
//|                                               version 002 |
//|                                 original idea from mp6140 |
//|                                    EA conversion by azmel |
//+-----------------------------------------------------------+
//| VERSION HISTORY                                           |
//| 001 Initial version. New trades won't open until previous |
//|     trades closes.                                        |
//| 002 Fixed SELL bug                                        |
//+-----------------------------------------------------------+
//| INSTRUCTIONS                                              |
//| To be used on GBPUSD pair only with any timeframe. EA     |
//| will place a hegde (a BUY and a SELL simultaneously) at   |
//| exactly 8pm EST with Take Profit of 10 and zero Stop      |
//| Loss. 8pm EST (or 1am GMT) is the GBPUSD's daily refence  |
//| line. In the next 24 hours when London and New York       |
//| opens, the market will cross this line. Thus by placing a |
//| hedge on the starting point will ensure a consistent 20   |
//| pips per day.                                             |
//+-----------------------------------------------------------+
//| SETTINGS                                                  |
//| Lots        The number of lots to open trade.             |
//| TimeToTrade Time for open the hedge.                      |
//+-----------------------------------------------------------+

extern double Lots           = 0.1;
extern double StopLoss       = 0;
extern int    TimeToTrade    = 1;

int TradeFlag=0;
int TimeToReset;

int start()
{
   TimeToReset=TimeToTrade - 1;

   if (TimeToReset<0)
   {
      TimeToReset = TimeToReset + 24;
   }

   if (TradeFlag==0 && Hour()==TimeToTrade)
   {
      if (StopLoss == 0)
      {
         OrderSend(Symbol(),OP_BUY,Lots,Ask,5,0,Ask+10*Point);
         OrderSend(Symbol(),OP_SELL,Lots,Bid,5,0,Bid-10*Point);
         TradeFlag=1;
      }
      else
      {
         OrderSend(Symbol(),OP_BUY,Lots,Ask,5,Ask-StopLoss*Point,Ask+10*Point);
         OrderSend(Symbol(),OP_SELL,Lots,Bid,5,Bid+StopLoss*Point,Bid-10*Point);
         TradeFlag=1;
      }
   }

   if (TradeFlag==1 && Hour()==TimeToReset)
   {
      if (OrdersTotal()==0)
      {
         TradeFlag=0;
      }
   }

   return(0);
}